part of 'index.dart';

class DocumentManagerScreen extends StatelessScreen {
  final DocumentPageModel model;
  final DocumentPageState state;

  const DocumentManagerScreen({
    super.key,
    required this.model,
    required this.state,
  });

  @override
  Widget build(BuildContext context) {
    final String title = FFLocalizations.of(context).getVariableText(
      enText: 'Documents',
      ptText: 'Documentos',
    );
    final theme = FlutterFlowTheme.of(context);
    action() => Navigator.pop(context);

    return Scaffold(
      backgroundColor: theme.primaryBackground,
      appBar: buildAppBar(title, context, action),
      body: buildBody(context),
    );
  }

  Widget buildBody(BuildContext context) {
    final SizedBox space = SizedBox(height: 30);
    return Column(
      children: [
        Expanded(
          child: EnhancedListView.remote<Document, Category, Null>(
            key: model.enhancedListViewKey,
            headerBuilder: model.itemHeaderBuilder<Category>,
            headerItems: model.generateHeaderItems<Category>,
            bodyBuilder: model.itemBodyBuilder<Document>,
            bodyItems: model.generateBodyItems<Document>,
            footerBuilder: null,
            footerItems: null,
          ),
        ),
      ] //
          .addToStart(space)
          .addToEnd(space),
    );
  }
}
